Name:           perl-MooseX-AttributeHelpers
Version:        0.19
Release:        1%{?dist}
Summary:        Extended Moose attribute interfaces
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MooseX-AttributeHelpers/
Source0:        http://search.cpan.org/CPAN/authors/id/S/SA/SARTAK/MooseX-AttributeHelpers-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(Moose)           >= 0.56
BuildRequires:  perl(Test::Exception) >= 0.21
BuildRequires:  perl(Test::More)      >= 0.62

### auto-added reqs!
Requires:  perl(Moose) >= 0.56

%description
While Moose attributes provide you with a way to name your accessors,
readers, writers, clearers and predicates, this library provides commonly
used attribute helper methods for more specific types of data.

%prep
%setup -q -n MooseX-AttributeHelpers-%{version}

# first filter out the bits in _docdir...
cat << \EOF > %{name}-prov
#!/bin/sh
FOO=`perl -p -e 's|%{buildroot}%{_docdir}/%{name}-%{version}\S+||'`
%{__perl_provides} $FOO
EOF

%define __perl_provides %{_builddir}/MooseX-AttributeHelpers-%{version}/%{name}-prov
chmod +x %{__perl_provides}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} +
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jun 16 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.19-1
- drop br on CPAN
- auto-update to 0.19 (by cpan-spec-update 0.01)
- added a new req on perl(Moose) (version 0.56)

* Wed May 27 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.17-1
- auto-update to 0.17 (by cpan-spec-update 0.01)
- altered br on perl(ExtUtils::MakeMaker) (0 => 6.42)

* Tue May 26 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.16-2
- add br on CPAN until M::I bundled version is updated

* Mon Apr 06 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.16-1
- update to 0.16

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 08 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.14-1
- updating to 0.14
- POD tests are now explicitly for author/maintainers only; removing deps

* Sat Sep 06 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.13-1
- update to 0.13
- note BR on Moose is now at 0.56 and is not optional :)

* Mon Jun 30 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.12-2
- ...and fix filtering.  heh.

* Mon Jun 30 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.12-1
- update to 0.12
- switch to Module::Install incantations
- update BR's
- update provides filtering

* Wed May 28 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.09-1
- update to 0.09

* Wed Mar 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.07-2
- rebuild for new perl

* Sat Jan 05 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.07-1
- update to 0.07

* Fri Dec 14 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.06-1
- update to 0.06

* Mon Nov 26 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.05-2
- bump

* Sun Nov 25 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.05-1
- update to 0.05

* Sun Oct 28 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.03-1
- Specfile autogenerated by cpanspec 1.73.
